﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;
using System.Drawing.Text;

namespace WindowsFormsApplication1
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }
        protected override void OnPaintBackground(PaintEventArgs e)
        {
            LinearGradientBrush b = new LinearGradientBrush(this.ClientRectangle, Color.Blue, Color.AliceBlue, 90f);
            e.Graphics.FillRectangle(b, this.ClientRectangle);
            b.Dispose();
        }

        private void Pnt(object sender, PaintEventArgs e)
        {
            //Make a small bitmap
            Bitmap bm = new Bitmap(this.ClientSize.Width / 4, this.ClientSize.Height / 4);
            //Get a graphics object for it
            Graphics g = Graphics.FromImage(bm);
            // must use an antialiased rendering hint
            g.TextRenderingHint = TextRenderingHint.AntiAlias;
            //this matrix zooms the text out to 1/4 size and offsets it by a little right and down
            Matrix mx = new Matrix(0.25f, 0, 0, 0.25f, 3, 3);
            g.Transform = mx;
            //The shadow is drawn
            g.DrawString("Text with a dropshadow", Font, new SolidBrush(Color.FromArgb(128, Color.Black)), 10, 10, StringFormat.GenericTypographic);
            //Dont need this anymore
            g.Dispose();
            //The destination Graphics uses a high quality mode
            e.Graphics.InterpolationMode = InterpolationMode.HighQualityBicubic;
            //and draws antialiased text for accurate fitting
            e.Graphics.TextRenderingHint = TextRenderingHint.AntiAlias;
            //The small image is blown up to fill the main client rectangle
            e.Graphics.DrawImage(bm, this.ClientRectangle, 0, 0, bm.Width, bm.Height, GraphicsUnit.Pixel);
            //finally, the text is drawn on top
            e.Graphics.DrawString("Text with a dropshadow", Font, Brushes.White, 10, 10, StringFormat.GenericTypographic);
            bm.Dispose();
        }

        private void Form2_Load(object sender, EventArgs e)
        {

        }
    }
}
